<nb-card [nbSpinner]="loading" [nbSpinnerMessage]="'Loading data...'">
  <nb-card-header>
    <p>Tags management</p>
    <button nbButton (click)="add()">Add</button>
  </nb-card-header>
  <nb-card-body>
    <table class="table">
      <thead>
      <tr>
        <td>ID</td>
        <td>Name</td>
        <td>Color</td>
        <td>Actions</td>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let tag of tags; let i = index;">
        <td>{{ tag.id }}</td>
        <td class="name">{{ tag.name }}</td>
        <td>
          <div class="color">
            <span class="color-preview" [style.background-color]="tag.color"></span>
            <span>{{ tag.color }}</span>
          </div>
        </td>
        <td>
          <div class="actions">
            <span (click)="edit(i)"><i class="nb-edit"></i></span>
            <span (click)="remove(i)"><i class="nb-close"></i></span>
          </div>
        </td>
      </tr>
      </tbody>
    </table>
  </nb-card-body>
</nb-card>
